Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.container
Class LifeCycle

    java.lang.Object
      org.jboss.portal.portlet.impl.container.LifeCycle

All Implemented Interfaces:
  ManagedObject

Direct Known Subclasses:
  PortletApplicationLifeCycle, PortletContainerLifeCycle, PortletFilterLifeCycle

    public abstract class LifeCycle

extends java.lang.Object
implements ManagedObject

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`LifeCycle()`

Method Summary
`protected abstract ManagedObjectRegistryEventListener` | `getListener()`
`LifeCycleStatus` | `getStatus()`
`protected abstract void` | `invokeStart()`
`protected abstract void` | `invokeStop()`
`void` | `managedStart()`
`void` | `managedStop()`
`protected void` | `startDependents()`
`protected void` | `stopDependents()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LifeCycle

    public LifeCycle()

Method Detail

### getStatus

    public final LifeCycleStatus getStatus()

  Specified by:
    `getStatus` in interface `ManagedObject`

### managedStart

    public final void managedStart()
                            throws java.lang.IllegalStateException

  Specified by:
    `managedStart` in interface `ManagedObject`
  Throws:
    `java.lang.IllegalStateException`

### managedStop

    public final void managedStop()

  Specified by:
    `managedStop` in interface `ManagedObject`

### startDependents

    protected void startDependents()

### stopDependents

    protected void stopDependents()

### invokeStart

    protected abstract void invokeStart()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### invokeStop

    protected abstract void invokeStop()

### getListener

    protected abstract ManagedObjectRegistryEventListener getListener()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.